hello 404 Not Found
Al-HUWAITI Shell
Al-huwaiti


Server : Apache/2.4.52 (Ubuntu)
System : Linux HAN2 5.15.0-185-generic #195-Ubuntu SMP Fri Jun 19 17:11:50 UTC 2026 x86_64
User : servadmin ( 1000)
PHP Version : 8.1.2-1ubuntu2.25
Disable Function : NONE
Directory :  /usr/share/perl-openssl-defaults/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Current File : //usr/share/perl-openssl-defaults/get-libssl-abi
#!/bin/sh

# read SONAME version from /usr/lib/<triplet>/libssl.so

DEB_HOST_GNU_TYPE=${DEB_HOST_GNU_TYPE:-$(dpkg-architecture -qDEB_HOST_GNU_TYPE)}
DEB_HOST_MULTIARCH=${DEB_HOST_MULTIARCH:-$(dpkg-architecture -qDEB_HOST_MULTIARCH)}

SOFILE=/usr/lib/${DEB_HOST_MULTIARCH}/libssl.so
OBJDUMP=${DEB_HOST_GNU_TYPE}-objdump

if [ ! -r "$SOFILE" ]; then
    echo "Can't read '$SOFILE', aborting" 1>&2
    exit 1
fi

if ! which "$OBJDUMP" >/dev/null 2>&1; then
    echo "Can't run '$OBJDUMP', aborting" 1>&2
    exit 1
fi

SONAME=$("$OBJDUMP" -p "$SOFILE" | perl -ne '/SONAME\s+libssl\.so\.(.+)/ and print $1')

if [ ! -n "$SONAME" ]; then
    echo "Could not parse SONAME from the output of '$OBJDUMP' '$SOFILE', aborting" 1>&2
    exit 2
fi

echo "$SONAME"

Al-HUWAITI Shell